> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryfundable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Locations

> Look up locations (cities, states, countries, regions) by name with fuzzy matching. The `name` parameter is required; `type` is optional.

**Search types:**
- `name` — Fuzzy name search with relevance scoring (required)
- `type` — Optional filter by location type: `CITY`, `STATE`, `REGION`, or `COUNTRY`
- `location_type` — Alias for `type`

Examples:
- `?name=san francisco`
- `?name=california&type=STATE`




## OpenAPI

````yaml openapi/openapi-other.yaml GET /location/search
openapi: 3.0.3
info:
  title: Fundable Other APIs
  description: >
    API for accessing additional data including location search and other
    utility endpoints.


    ## Authentication

    All API requests require authentication using an API key in the
    Authorization header.


    ## Rate Limits

    API usage is tracked and may be subject to monthly limits depending on your
    API key tier.


    ## Location Search

    The location search API supports fuzzy matching across different location
    types:

    - Cities (e.g., "San Francisco")

    - States/Provinces (e.g., "California")

    - Countries (e.g., "United States")

    - Regions (e.g., "San Francisco Bay Area")


    ## Industry Search

    The industry search API supports fuzzy matching across:

    - Industries (e.g., "Artificial Intelligence")

    - Super Categories (e.g., "Health Care")
  version: 1.0.0
  contact:
    name: Fundable API Support
    url: jacob@tryfundable.ai
  license:
    name: Proprietary
    url: https://www.tryfundable.ai/terms/privacy/
servers:
  - url: https://www.tryfundable.ai/api/v1
    description: Production server
security:
  - bearerAuth: []
tags:
  - name: locations
    description: Location search and utility operations
  - name: industries
    description: Industry and super category search operations
paths:
  /location/search:
    get:
      summary: Search locations by name and optionally filter by type
      description: >
        Look up locations (cities, states, countries, regions) by name with
        fuzzy matching. The `name` parameter is required; `type` is optional.


        **Search types:**

        - `name` — Fuzzy name search with relevance scoring (required)

        - `type` — Optional filter by location type: `CITY`, `STATE`, `REGION`,
        or `COUNTRY`

        - `location_type` — Alias for `type`


        Examples:

        - `?name=san francisco`

        - `?name=california&type=STATE`
      operationId: searchLocations
      parameters:
        - name: name
          in: query
          description: Location name to search for
          required: true
          schema:
            type: string
            example: san francisco
        - name: type
          in: query
          description: Filter by specific location type
          required: false
          schema:
            type: string
            enum:
              - CITY
              - STATE
              - REGION
              - COUNTRY
            example: CITY
        - name: location_type
          in: query
          description: Alias for 'type' parameter
          required: false
          schema:
            type: string
            enum:
              - CITY
              - STATE
              - REGION
              - COUNTRY
            example: CITY
      responses:
        '200':
          description: Successful search results
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      locations:
                        type: array
                        items:
                          $ref: '#/components/schemas/LocationSearchResult'
                  meta:
                    type: object
                    properties:
                      total_count:
                        type: integer
                        description: Number of locations returned
                        example: 3
                      page:
                        type: integer
                        example: 0
                      page_size:
                        type: integer
                        example: 3
                      credits_used:
                        type: integer
                        description: >-
                          Number of credits consumed by this request (always 0
                          for search endpoints)
                        example: 0
                required:
                  - success
                  - data
                  - meta
              examples:
                all_types:
                  summary: Search without type filter
                  description: Returns all location types matching the search term
                  value:
                    success: true
                    data:
                      locations:
                        - permalink: san-francisco-california
                          name: San Francisco
                          location_type: CITY
                        - permalink: san-francisco-bay-area
                          name: San Francisco Bay Area
                          location_type: REGION
                        - permalink: california
                          name: California
                          location_type: STATE
                    meta:
                      total_count: 3
                cities_only:
                  summary: Search filtered by CITY type
                  description: Returns only cities matching the search term
                  value:
                    success: true
                    data:
                      locations:
                        - permalink: san-francisco-california
                          name: San Francisco
                          location_type: CITY
                        - permalink: san-jose-california
                          name: San Jose
                          location_type: CITY
                    meta:
                      total_count: 2
        '400':
          description: Search parameter validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - MISSING_SEARCH_PARAMS
                          - INVALID_LOCATION_TYPE
                          - MULTIPLE_LOCATION_TYPE_PARAMS
                        example: MISSING_SEARCH_PARAMS
                      message:
                        type: string
                        example: The "name" search parameter is required
                      details:
                        type: object
                        properties:
                          help:
                            type: string
                            example: >-
                              Provide a name parameter. Example:
                              ?name=san+francisco
              examples:
                missing_params:
                  value:
                    success: false
                    error:
                      code: MISSING_SEARCH_PARAMS
                      message: The "name" search parameter is required
                      details:
                        help: 'Provide a name parameter. Example: ?name=san+francisco'
                    statusCode: 400
                invalid_location_type:
                  value:
                    success: false
                    error:
                      code: INVALID_LOCATION_TYPE
                      message: >-
                        Invalid location type. Must be one of: CITY, STATE,
                        REGION, COUNTRY
                      details:
                        help: >-
                          Provided type: 'INVALID'. Valid types are: CITY,
                          STATE, REGION, COUNTRY
                    statusCode: 400
                multiple_location_type_params:
                  value:
                    success: false
                    error:
                      code: MULTIPLE_LOCATION_TYPE_PARAMS
                      message: Cannot specify both type and location_type parameters
                      details:
                        help: Use either type or location_type parameter, not both
                    statusCode: 400
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthError'
        '429':
          description: Rate limit exceeded (per-minute)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          headers:
            Retry-After:
              description: Number of seconds to wait before retrying
              schema:
                type: integer
                example: 60
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerError'
components:
  schemas:
    LocationSearchResult:
      type: object
      properties:
        permalink:
          type: string
          description: Location permalink identifier
          example: san-francisco-california
        name:
          type: string
          description: Location name
          example: San Francisco
        location_type:
          type: string
          description: Type of location
          enum:
            - REGION
            - COUNTRY
            - STATE
            - CITY
          example: CITY
    AuthError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - AUTH_ERROR
                - INVALID_API_KEY
                - INACTIVE_API_KEY
              example: AUTH_ERROR
            message:
              type: string
              example: API key not provided
            details:
              type: object
              properties:
                help:
                  type: string
                  example: Please provide your API key in the Authorization header
                format:
                  type: string
                  example: Bearer vg_your_api_key_here
                example:
                  type: object
                  properties:
                    header:
                      type: string
                      example: 'Authorization: Bearer vg_your_api_key_here'
                    curl:
                      type: string
                      example: >-
                        curl -H 'Authorization: Bearer vg_your_api_key_here'
                        https://www.tryfundable.ai/api/v1/location/search?name=san+francisco
                documentation:
                  type: string
                  example: >-
                    Visit our documentation for more information about
                    authentication
      required:
        - error
    RateLimitError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: object
          properties:
            code:
              type: string
              example: RATE_LIMIT_EXCEEDED
            message:
              type: string
              example: Rate limit exceeded. Maximum 200 requests per minute.
            details:
              type: object
              properties:
                limit:
                  type: integer
                  description: Maximum requests allowed per window
                  example: 200
                window:
                  type: string
                  description: Rate limit window duration
                  example: 60 seconds
                help:
                  type: string
                  example: Please reduce your request frequency and try again.
      required:
        - error
    ServerError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: INTERNAL_SERVER_ERROR
            message:
              type: string
              example: An unexpected error occurred
            details:
              type: string
              nullable: true
              description: Error details (only in development mode)
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        API key authentication using Bearer token format.
        Format: `Authorization: Bearer vg_your_api_key_here`

        API keys follow the pattern: `vg_[12_hex_chars]_[32_base64url_chars]`

````